- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Exceptions::CException Class Reference

List of all members.

## Detailed Description

Generic Exception class.

Date:
  02/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.1.0 Added exponent class system

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CException.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 38 of file CException.hpp.

## Public Member Functions

- CException (const CString &errorReason, const CString &functionName, const bool isSerious=true)
- virtual bool errorIsSerious () const
- virtual const CString & getErrorReason () const
- virtual const CString & getFunctionName () const
- virtual ~CException ()

## Protected Attributes

- CString m_errorReason
- CString m_functionName
- bool m_isSerious

## Constructor & Destructor Documentation

Exponent::Exceptions::CException::CException | ( | const CString & | errorReason,
|  | const CString & | functionName,
|  | const bool | isSerious = `true` |
| ) |  |  |

Construction

Parameters:

  | errorReason | The reason for the error
  | functionName | The name of the function that generated the error
  | isSerious | Is this a serious (app ending) exception

virtual Exponent::Exceptions::CException::~CException | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual bool Exponent::Exceptions::CException::errorIsSerious | ( |  | ) | const`[virtual]`

Is the error serious

Return values:

  | bool | True if the error is serious, false otherwise

virtual const CString& Exponent::Exceptions::CException::getErrorReason | ( |  | ) | const`[virtual]`

Get the reson for the error

Return values:

  | const | CString& The reason for the error

virtual const CString& Exponent::Exceptions::CException::getFunctionName | ( |  | ) | const`[virtual]`

Get the function name

Return values:

  | const | CString& The name of the function that threw the error

## Member Data Documentation

CString Exponent::Exceptions::CException::m_errorReason`[protected]`

The message associated witht he exception - as description

Definition at line 89 of file CException.hpp.

CString Exponent::Exceptions::CException::m_functionName`[protected]`

Name of the function that generated the exception

Definition at line 90 of file CException.hpp.

bool Exponent::Exceptions::CException::m_isSerious`[protected]`

Is the fault serious - does it require an exit essentially

Definition at line 91 of file CException.hpp.